Bug 106962 - Clicking text or text box on macOS Sierra results in sluggish UI
Summary: Clicking text or text box on macOS Sierra results in sluggish UI
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, perf, regression
Depends on:
Blocks: MacOS-Performance CJK-Japanese
  Show dependency treegraph
 
Reported: 2017-04-05 03:25 UTC by Kei Tasaki
Modified: 2019-11-16 03:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kei Tasaki 2017-04-05 03:25:20 UTC
Description:
When I using macOS Sierra + LibreOffice Impress, If I click on the text or text box in the slide, the hourglass will rotate around 1 to 3 seconds, and the operation becomes extremely heavy.

The usage environment details are as follows.

- MacBook Pro (Retina, 13-inch, Mid 2014)
- OS: macOS Sierra 10.12.3
- CPU Intel Core i7 2GHz
- RAM DDR3 1600MHz 8GB

* LibreOffice 5.3.0.3
* Language -> ja

Steps to Reproduce:
1. Create a new presentation file
2. Click the text box that is placed in the slide by default

Actual Results:  
Impress becomes heavier(but mouse cursor can move).
After 1 to 3 seconds, text box is selected.

Expected Results:
You will be able to edit the text immediately.


Reproducible: Always

User Profile Reset: Yes

Additional Info:
This problem occurs even if you create a new file or open another file.
Even if you create a new text box, the behavior will be heavier in the same way.
If I restart LibreOffice and macOS, that is the same situation.

About the machine that I verified, setting in LibreOffice is only in Japanese translation interface.


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.88 Safari/537.36 Vivaldi/1.7.735.46
Comment 1 Alex Thurgood 2017-04-06 10:11:05 UTC
Confirming but already disclosed in other bug report. Irrespective of the module, current versions of LO are incredibly slow at displaying a context menu when it is first called.
Comment 2 Xisco Faulí 2017-11-15 22:01:18 UTC
I don't see the hourglass in

Version: 5.4.3.2
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 8; OS: Mac OS X 10.13.1; UI render: default; 
Locale: en-US (en_ES.UTF-8); Calc: group

is it still reproducible on your side?
Comment 3 Telesto 2017-12-17 12:07:27 UTC
(In reply to Xisco Faulí from comment #2)
This is still reproducible in some sense. I don't see a hourglass, but I do notice heavy CPU spikes in the time profile every time when switching between text boxes. It's sidebar dependent (similar to bug 105500) 

Version: 6.1.0.0.alpha0+
Build ID: d46dc8e547810208287aab77f0313f1971901464
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-12-08_10:35:46
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded
Comment 4 QA Administrators 2019-11-16 03:41:42 UTC
Dear Kei Tasaki,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug